package com.ssj.bean.weixin.libmy.domain;

import java.io.Serializable;

public class CityWeather implements Serializable {

    private static final long serialVersionUID = 1L;
	private String weather; //天气
	private Integer temp; //温度
	private String msg; //提示语
	private Integer yycount; //预约+到馆人数
	private String yymsg; //预约提示语
	private Integer dgcount; //累计到馆次数
	private Integer jycount; //累计借阅书籍
	private String tipsType; // 预约提示类型
	public String getWeather() {
		return weather;
	}
	public void setWeather(String weather) {
		this.weather = weather;
	}
	public Integer getTemp() {
		return temp;
	}
	public void setTemp(Integer temp) {
		this.temp = temp;
	}
	public String getMsg() {
		if(this.weather == null || "".equals(this.weather) || "null".equals(this.weather)){
			this.msg = "我已经迫不及待与您的孩子见面了，馆里在您孩子不在这段时间又发生了很多趣事，等你到来慢慢分享";
		}else{
			if(this.weather.contains("晴")){
				if(this.temp <=10){
					this.msg = "现在已经是冬天的感觉了，气温较低，在过来的途中要做好御寒";
				}else if (this.temp >10 && this.temp <= 19){
					this.msg = "今日晴朗但温度较低，天冷但我们热诚的期待您孩子的到来";
				}else if (this.temp > 19 && this.temp <=29){
					this.msg = "今日天气适宜舒适，微风拂着书页，安静等着你的到来";
				}else{
					this.msg = "今日烈日炎炎，气温较高，在过来的时候注意防晒，避免中暑";
				}
			}else if (this.weather.contains("阴") || this.weather.contains("多云") ){
				if(this.temp <=10){
					this.msg = "现在已经是冬天的感觉了，气温较低，在过来的途中注意地面湿滑";
				}else if (this.temp >10 && this.temp <= 19){
					this.msg = "今天多云且气温较低，注意御寒。我们用热诚温暖着书房，等待着您孩子的到来";
				}else if (this.temp > 19 && this.temp <=29){
					this.msg = "今日天气适宜舒适，微风拂着书页，安静等着你的到来";
				}else{
					this.msg = "今日多云但气温依旧较高，我们已经开好空调期待您孩子的到来";
				}
			}else if (this.weather.contains("雨") || this.weather.contains("雪") ){
				if(this.temp <=10){
					this.msg = "在这个湿冷的天气依旧阻挡不了您阅读的心，请您在过来的时候注意地面湿滑，多穿衣服";
				}else if (this.temp >10 && this.temp <= 19){
					this.msg = "今日气温较低且有雨，请您注意在过来的路上注意地面湿滑及避免淋雨";
				}else if (this.temp > 19 && this.temp <=29){
					this.msg = "今日气温适中但雨天湿滑，请您在过来的时候注意安全";
				}else{
					this.msg = "今日预计有雨，在您出行前记得留意是否会下雨";
				}
			}else{
				if(this.temp <=10){
					this.msg = "现在已经是冬天的感觉了，气温较低，在过来的途中要做好御寒";
				}else if (this.temp >10 && this.temp <= 19){
					this.msg = "今日晴朗但温度较低，天冷但我们热诚的期待您孩子的到来";
				}else if (this.temp > 19 && this.temp <=29){
					this.msg = "今日天气适宜舒适，微风拂着书页，安静等着你的到来";
				}else{
					this.msg = "今日烈日炎炎，气温较高，在过来的时候注意防晒，避免中暑";
				}
			}
		}
		
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public Integer getYycount() {
		return yycount;
	}
	public void setYycount(Integer yycount) {
		this.yycount = yycount;
	}
	public String getYymsg() {
		if(this.yycount <11){
			this.yymsg = "这个时间段预计在馆人数合理，阅读环境舒适，期待您今天又能在书上找到新的故事";
			this.tipsType = "1";
		}else if (this.yycount>10 && this.yycount<30){
			this.yymsg = "这个时间段预计在馆人数处于舒适范围内，期待您的孩子今天能结交新的小伙伴一起共度美好阅读时光";
			this.tipsType = "1";
		}else{
			this.yymsg = "这个时间段预约已经有"+this.yycount+"人，阅读环境舒适会有所降低，可以继续预约也可以选择其他时间段";
			this.tipsType = "2";
		}
		return yymsg;
	}
	public void setYymsg(String yymsg) {
		this.yymsg = yymsg;
	}
	public Integer getDgcount() {
		return dgcount;
	}
	public void setDgcount(Integer dgcount) {
		this.dgcount = dgcount;
	}
	public Integer getJycount() {
		return jycount;
	}
	public void setJycount(Integer jycount) {
		this.jycount = jycount;
	}
	public String getTipsType() {
		return tipsType;
	}
	public void setTipsType(String tipsType) {
		this.tipsType = tipsType;
	}
	
	
	
	
}
